Info: dette er ikke endringsloggen for siste stabile versjon 4.13.1
se alle skiftelogger

Pro v1.7 med leaflet.js v0.7.3 og kompatibilitetsfikser er tilgjengelig

Denne utgivelsen oppdaterer leaflet.js bibliotek som jeg omtaler som “motoren til plugin” - takk til alle bidragsytere, spesielt til mourner fra mapbox.com, som leder utviklingen.

I tillegg har jeg også laget løsninger for installasjoner på servere med utdaterte SSL-biblioteker. Noen brukere av disse serverne rapporterte problemer når de prøver å aktivere lisensnøkkelen sin, for eksempel, slik at en løsning for disse serverne er lagt til med pro v1.7.

Hvis du ikke ser den nåværende oppdateringen være tilgjengelig, kan du også bli berørt av dette problemet og må derfor oppdatere plugin-en manuelt til pro v1.7. Vennligst se avsnittet "Hvordan laste ned / oppdatere" nedenfor for mer informasjon. Hvis du er berørt og usikker på hva du skal gjøre, vær så snill åpne en støtte billett!


La meg få vite hva du synes om denne nye utgivelsen av sende inn en anmeldelse!

Hvis du vil holde deg oppdatert med den siste Maps Marker-utviklingen, følg @MapsMarker på twitter (= siste oppdateringer), på Facebook , Google+ eller abonner på nyheter via RSS eller via RSS / e-post.

Jeg vil også invitere deg til å bli med i vår affiliate program som tilbyr provisjoner opptil 50%. Hvis du er interessert i å bli forhandler, kan du gå til https://www.mapsmarker.com/reseller


La oss nå komme til høydepunktet av pro v1.7:

oppgradering til leaflet.js v0.7.3

Leaflet.js, kjernen javascript-biblioteket til denne pluginen er utgitt. Denne utgivelsen er merket som en vedlikeholdsutgivelse med 8 bugfixes, full changelog.

Andre optimaliseringer og endringer

  • oppdater markørklyngekodebase (ved bruk av build 28/05/14 i stedet for 14/03/14)
  • Vis mer detaljerte feilmeldinger om problemer med mapsmarker.com lisens API-anrop

Feilrettinger

  • bilderedigering + fjern overleggsknapper i TinyMCE-editor for popup-tekster på markørredigeringssider manglet siden WordPress 3.9 (thx Bruno)
  • fliser til Google Maps forsvant under zoom når du klyper zooming på mobiltelefoner
  • ødelagt lisens API kaller servere med utdaterte SSL-biblioteker

Oversettelser oppdateres

Takket være mange motiverte bidragsytere, kommer denne utgivelsen med følgende oppdaterte oversettelser:

Hvis du vil bidra til oversettelser (nye hindi-oversettere vil bli satt pris på!), Vennligst besøk https://translate.mapsmarker.com/projects/lmm for mer informasjon.

Vær oppmerksom på at oversetterne også blir kompensert for deres bidrag - for eksempel hvis en oversettelse er ferdig mindre enn 50%, får oversetteren en gratis pakke på 25 lisenser til en verdi av € 149 som en kompensasjon for å fullføre oversettelsen til 100%.

Outlook - planene mine for neste utgivelse

Vær oppmerksom på at jeg ikke kan love noen utgivelsesdatoer for nye funksjoner. Veikartet for viktige nye funksjoner (støtte for Google Street View og støtte for filtrering av lag på frontend) er fremdeles gyldig, jeg vil bare beholde fleksibiliteten til å legge til optimaliseringer og bugfixes med ganske ikke planlagte mindre utgivelser som hovedsakelig skyldes tilbakemeldinger fra brukere.

Vær så snill også se veikartet for en grov plan for planlagte funksjoner, og abonner på denne bloggen (via RSS or E-post) eller følg @MapsMarker på twitter (= mest aktuelle oppdateringer) hvis du vil holde deg oppdatert med de siste utviklingsnyhetene.

Full changelog

oppgradering til leaflet.js v0.7.3 (vedlikeholdsutgivelse med 8 bugfixes, changelog)
oppdater markørklyngekodebase (ved bruk av build 28/05/14 i stedet for 14/03/14)
Vis mer detaljerte feilmeldinger om problemer med mapsmarker.com lisens API-anrop
bilderedigering + fjern overleggsknapper i TinyMCE-editor for popup-tekster på markørredigeringssider manglet siden WordPress 3.9 (thx Bruno)
fliser til Google Maps forsvant under zoom når du klyper zooming på mobiltelefoner
ødelagt lisens API kaller servere med utdaterte SSL-biblioteker
Oversettelsesoppdateringer Hvis du vil hjelpe med oversettelser, kan du gå til nettbasert oversettelsesplattform
oppdatert tysk oversettelse
oppdatert italiensk oversettelse takket være Luca Barbetti, http://twitter.com/okibone
oppdatert rumensk oversettelse takket være Arian, http://administrare-cantine.ro, Daniel Codrea, http://www.inadcod.com og Flo Bejgu, http://www.inboxtranslation.com

vis tidligere veksler

Hvordan laste ned / oppdatere

Den enkleste måten å oppdatere er å bruke WordPress-oppdateringsprosessen: logg inn med en bruker som har administratorrettigheter, naviger til Dashboard / Updates, velg plugins som skal oppdateres og trykk på knappen “Update Plugins”. Pro-plugin sjekker hver 12. time om en ny versjon er tilgjengelig. Du kan også utløse oppdateringssjekken manuelt ved å gå til Plugins og klikke på lenken "Manuelt se etter oppdateringer" ved siden av "Maps Marker Pro":

manual-update-sjekk

Hvis du ikke ser lenken "Sjekk etter oppdateringer" og bruker en versjon under 1.7, må du oppdatere manuelt en gang ved å laste ned gjeldende pakke fra https://www.mapsmarker.com/download-pro og overskrive eksisterende plugin-filer på serveren din via FTP. Dette kan være nødvendig på flere verter, som bruker utdaterte SSL-biblioteker, som forhindrer Maps Marker Pro i å opprette en sikker forbindelse for å hente oppdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning for den typen servere, og følgende oppdateringer skal fungere som vanlig. Hvis du er berørt og trenger hjelp, vær så snill åpne en støtte billett.

Ytterligere oppdateringsnotater for betatester

Ingen ekstra handling på plugin-oppdatering kreves.

Én svar på “Pro v1.7 med leaflet.js v0.7.3 og kompatibilitetsfikser er tilgjengelig”

Legg igjen en kommentar

XHTML: Du kan bruke disse kodene: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X